# $Revision: 1.66 $, $Date: 2011/09/11 13:49:34 $
Summary:	A utility for automatically generating glue code to export C libraries to Guile Scheme and RScheme
Summary(pl.UTF-8):	Narzędzie do eksportowania bibliotek C do interpreterów Scheme
Summary(pt_BR.UTF-8):	Um utilitário para geração automática de código para exportar bibliotecas C para guile scheme e rscheme
Name:		g-wrap
Version:	1.9.13
Release:	4
Epoch:		2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/g-wrap/%{name}-%{version}.tar.gz
# Source0-md5:	5952a389fd00f123dfb86d269a1d6d67
Patch0:		%{name}-info.patch
Patch1:		%{name}-git.patch
URL:		http://www.nongnu.org/g-wrap/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.5
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	guile-devel >= 5:1.8.3
BuildRequires:	libffi-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	texinfo
Requires:	guile >= 5:1.8.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -l pl.UTF-8
To jest narzędzie do specyfikowania typów, funkcji i stałych dla
interpretera Scheme i generowania kodu (w C) do udostępnienia ich dla
interpreterów Guile i RScheme.

%description -l pt_BR.UTF-8
O g-wrap é uma ferramenta para especificar tipos, funções e constantes
para importação em um interpretador scheme e para geração de código em
C para fazer a interface com os interpretadores guile e rscheme.

%package devel
Summary:	Headers for developing programs using g-wrap
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijnia programów z użyciem g-wrap
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o g-wrap
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	guile-devel >= 5:1.8
Requires:	libffi-devel

%description devel
headers for developing programs using g-wrap.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania programów z użyciem g-wrap.

%description devel -l pt_BR.UTF-8
Arquivos de inclusao e bibliotecas para o g-wrap.

%package static
Summary:	Static libraries for developing programs using g-wrap
Summary(pl.UTF-8):	Biblioteki statyczne g-wrap
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com g-wrap
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries for developing programs using g-wrap.

%description static -l pl.UTF-8
Statyczne biblioteki g-wrap.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a biblioteca g-wrap.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

touch config.rpath

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-Werror

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/g-wrap/modules/libgw-*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libgwrap-core-runtime.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwrap-core-runtime.so.2
%attr(755,root,root) %{_libdir}/libgwrap-guile-runtime.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwrap-guile-runtime.so.2
%dir %{_libdir}/g-wrap
%dir %{_libdir}/g-wrap/modules
%attr(755,root,root) %{_libdir}/g-wrap/modules/libgw-guile-gw-glib.so*
%attr(755,root,root) %{_libdir}/g-wrap/modules/libgw-guile-standard.so*
%{_datadir}/guile/site/g-wrap
%{_datadir}/guile/site/g-wrap.scm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/g-wrap-config
%attr(755,root,root) %{_libdir}/libgwrap-core-runtime.so
%attr(755,root,root) %{_libdir}/libgwrap-guile-runtime.so
%{_libdir}/libgwrap-core-runtime.la
%{_libdir}/libgwrap-guile-runtime.la
%{_includedir}/g-wrap
%{_includedir}/g-wrap-wct.h
%{_pkgconfigdir}/g-wrap-2.0-guile.pc
%{_aclocaldir}/g-wrap.m4
%{_mandir}/man1/g-wrap-config.1*
%{_infodir}/g-wrap.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgwrap-guile-runtime.a
%{_libdir}/libgwrap-core-runtime.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: g-wrap.spec,v $
Revision 1.66  2011/09/11 13:49:34  arekm
- rel 4; add git fixes for guile 2

Revision 1.65  2011/09/11 11:51:43  arekm
- rel 3; drop libffi version deps; gcc provides libffi seems to be enough

Revision 1.64  2011/09/11 11:43:56  arekm
- release 2

Revision 1.63  2010/11/14 10:48:25  qboosh
- updated to 1.9.13
- removed obsolete pc patch

Revision 1.62  2008/11/16 08:44:22  qboosh
- updated pc patch not to require exact version of libffi-devel
- release 2

Revision 1.61  2008/05/28 22:11:15  qboosh
- added pc patch

Revision 1.60  2008-05-28 20:54:57  qboosh
- updated to 1.9.11
- removed obsolete srfi-35-fixes patch
- libffi 3.0.x is needed now

Revision 1.59  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.58  2007-11-26 22:19:51  qboosh
- added srfi-35-fixes patch (to use srfi-35 in proper way)
- switched to srfi-35 included in guile >= 1.8.3
- release 2

Revision 1.57  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.56  2007/08/26 22:21:17  qboosh
- updated to 1.9.9
- removed obsolete glib2,srfi patches

Revision 1.55  2007/07/03 20:35:49  qboosh
- removed dirs belonging to guile

Revision 1.54  2007/05/26 15:15:23  qboosh
- release 2

Revision 1.53  2007/05/26 15:11:22  qboosh
- disable -Werror, glib is not ready for gcc 4.2.0

Revision 1.52  2007/05/26 08:57:22  qboosh
- updated to 1.9.8
- updated info,glib2 patches, added srfi patch

Revision 1.51  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.49  2006/12/30 02:10:01  qboosh
- updated to 1.9.7, updated glib2 patch
- don't package srfi-34.scm as it's already in recent guile

Revision 1.48  2006/07/14 03:29:54  aredridel
- add glib2 library

Revision 1.47  2006/05/20 12:45:20  qboosh
- use infodir macro, added .so symlinks to -devel

Revision 1.46  2006/05/20 12:21:02  glen
- possible amd64 files fix
- missing dirs packaging
- do not assume info file is compressed
- cleanups

Revision 1.45  2006/05/20 03:02:03  aredridel
- add missing files
- adapterised

Revision 1.44  2006/05/20 02:57:14  aredridel
- 1.9.6

Revision 1.43  2005/03/27 15:18:57  qboosh
- added am18 patch, release 5

Revision 1.42  2005/03/27 13:01:14  qboosh
- ac_am_cflags patch is back (updated)
- cleanup, revised .la placing, BR: glib(1)-devel, -devel R: guile-devel
- release 4

Revision 1.41  2004/08/31 00:26:41  undefine
- release 3

Revision 1.40  2004/08/17 21:17:02  blues
- strict internal deps

Revision 1.39  2004/04/15 14:22:28  wiget
- added headers
- release 2

Revision 1.38  2003/10/14 14:47:55  adasi
 - 1.3.4 version

Revision 1.37  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.36  2003/06/23 18:10:40  jareq
- fixed epoch:version issue

Revision 1.35  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.34  2003/05/25 05:47:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.32  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.31  2002/10/07 11:16:31  qboosh
- BR: autoconf,automake,libtool; new %%doc

Revision 1.30  2002/05/21 23:48:31  kloczek
- release 2.

Revision 1.29  2002/05/21 23:13:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/05/21 22:53:55  kloczek
- rebuild against guile >= 1.4.1.

Revision 1.27  2002/05/21 05:17:55  filon
- re-updated to 1.2.1
 (tested with guile 1.4.1 and gnucash 1.6.6, it works, and it is stale branch)
- added ac_am_cflags patch for work with gcc31 and passing our cflags
- added g-wrap.m4 to files for devel pkg

Revision 1.26  2002/04/25 16:32:31  arturs
fixed a small typo

Revision 1.25  2002/04/09 08:30:48  mkochano
- Corrected source uri.

Revision 1.24  2002/02/24 18:54:23  mkochano
- Fixed files list.

Revision 1.23  2002/02/24 18:02:57  mkochano
- Release 1 "kloczek dont touch this spec too".
- Epoch 2.
- Downgraded to 1.1.10. This last version with wich gnucash works.

Revision 1.22  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/12 18:16:25  kloczek
- downgrade to 1.2.1,
- added werror patch.

Revision 1.19  2002/01/28 09:37:51  kloczek
- updated to 1.3.2 (new stable version),
- cosmetics.

Revision 1.18  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/05 16:55:35  blues
- URL updated
- some stollen translations (CNV)

Revision 1.16  2002/01/04 00:08:11  mkochano
- Release 5.
- No longer contain %%{_infodir}/dir.gz.

Revision 1.15  2001/11/29 15:04:05  qboosh
- adapterized, the rest of pl translations

Revision 1.14  2001/10/14 17:28:09  mkochano
- Release 4.
- *.la files moved to main package. Now gnucash can be run without
  g-wrap-devel package.

Revision 1.13  2001/08/12 10:59:31  blues
- release 3
- configure2_13

Revision 1.12  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/29 08:20:16  kura
- release 2
- added missing g-wrapped directory (gnucash should compile now)

Revision 1.9  2001/05/17 10:38:06  kura
- updated to 1.1.10
- added slib to buildrequires

Revision 1.8  2000/10/29 08:13:12  kloczek
- added info patch (with now g-wrap will be reachable by info index in
  "Programming tools" group); also added texinfo to BuildRequires,
- use new rpm automation.

Revision 1.7  2000/10/28 18:29:23  bszx
- update to 0.9.6
- use new rpm automation

Revision 1.6  2000/08/25 20:12:49  bszx
 - upgrade to 0.9.5

Revision 1.5  2000/07/14 00:05:40  kloczek
- release 2,
- rebuild against guile 1.4.

Revision 1.4  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/05 03:39:57  kloczek
- spec adapterized,
- pass LDFLAGS="-s" to ./configure environment in %build instead strip
  in %install,
- switch from guile to guile-devel in BuildRequires.

Revision 1.1  2000/06/04 11:16:03  bszx
initialization of spec file.
